/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.dbc.condition.parser;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.3 $
 */
public interface ExpressionVisitor
{
   void visit(Expression expr);
   void visit(BooleanExpression expr);
   void visit(ForAllExpression expr);
   void visit(ExistsExpression expr);
   void visit(ImpliesExpression expr);
   void visit(JavaExpression expr);
}
